export default (callApi) => ({
	async registerAssistance(req) {
		try {
			const payload = req;
			delete payload.resolve;
			delete payload.reject;
			const response = await callApi('POST', '/tag-relief-assistance', { data: payload });
			return response;
		} catch (error) {
			throw new Error(error.message);
		}
	},
	async verifyRefID(req) {
		try {
			const payload = req;
			delete payload.resolve;
			delete payload.reject;
			const response = await callApi('POST', '/verify-assistance', { data: payload });
			return response;
		} catch (error) {
			throw new Error(error.message);
		}
	},
});
